SKB_PARTIAL_CSUM_SET(9)

NAME
skb_partial_csum_set - set up and verify partial csum values for packet

SYNOPSIS

bool skb_partial_csum_set(struct sk_buff * skb, u16 start, u16 off);

ARGUMENTS

skb
    the skb to set

start
    the number of bytes after skb->data to start checksumming.

off
    the offset from start to place the checksum.

DESCRIPTION

For untrusted partially-checksummed packets, we need to make sure the values for skb->csum_start and skb->csum_offset are valid so we don't oops.

This function checks and sets those values and skb->ip_summed: if this returns false you should drop the packet.

COPYRIGHT